Skip to main content

Update time sheet

PUT 

/api/v1/entry_sheets/time/:sheetId

Updates an existing time entry sheet.

Required Headers:

  • If-Match: ETag from previous GET request (optimistic concurrency control)

Required Fields:

  • id_user: Sheet owner ID
  • dates: Array of F8 dates

Optional:

  • submit: Set to true to submit the sheet after saving
  • rows: Entry data to save/update. See the Entry Sheet API tutorial for details on the structure of the rows field.

Validation: All business logic validation (DVT, geofences, corrections audit) is performed. Check response for errors/warnings.

Response: Returns HTTP 200 (not 204) with the updated sheet plus validation messages.

Request​

Responses​

Sheet updated successfully

Response Headers
    Location

    URI of the sheet

    ETag

    The current ETag value for the sheet, needed to perform a PUT modification. See the modifying objects guide and the related tutorial section.